//
//  PublicDefine.h
//
//  Created by midmirror on 15/12/20.
//  Copyright © 2015年 midmirror. All rights reserved.
//

#ifndef PublicDefine_h
#define PublicDefine_h

/*
 用于生成一个单例
 */

// @interface
#define singletonH(className) \
+ (className *)share;

// @implement
#define singletonM(className) \
static className *instance; \
+ (className *)share \
{ \
static dispatch_once_t once; \
dispatch_once(&once, ^{ \
instance = [[self alloc] init]; \
}); \
return instance; \
}

//command.h
#define HPRT_SUCCESS 0
#define HPRT_ERROR 1
#define HPRT_E_NOT_ENOUGH_BUFFER -2



#endif /* PublicDefine_h */
