//
//  MIDScreenFit.h
//
//  Created by midmirror on 16/1/25.
//  Copyright © 2016年 midmirror. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "MIDPublicDefine.h"

typedef NS_ENUM(NSInteger, MIDDevice) {
    iphone4 = 320*480,
    iphone5 = 320*568,
    iphone6 = 375*667,
    iphone6p = 414*736,
    iPad     = 1024*768
};

@interface MIDScreenFit : NSObject

singletonH(MIDScreenFit)

/**
 *  获取字体的大小
 */
- (float)getFontSize;

/**
 *  获取表视图 Cell 或者 Picker Row 的高度
 */
- (float)getRowHeight;

- (CGFloat)getMainButtonWidth;
- (CGFloat)getMainButtonHeight;
- (CGFloat)getMargin;
- (CGFloat)getDiameter;

@end
