//
//  MIDPublicDefine.h
//  MIDKit
//
//  Created by midmirror on 16/2/19.
//  Copyright © 2016年 midmirror. All rights reserved.
//

#ifndef MIDPublicDefine_h
#define MIDPublicDefine_h


#endif /* MIDPublicDefine_h */

#define SCREEN_WIDTH [UIScreen mainScreen].bounds.size.width
#define SCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height
#define SCREEN_RESOLUTION SCREEN_WIDTH * SCREEN_HEIGHT

#define FRAME_WIDTH self.view.frame.size.width
#define FRAME_HEIGHT self.view.frame.size.height

#define PRTCOLOR_GREEN          [UIColor colorWithRed:94/255.0 green:197/255.0 blue:32/255.0 alpha:1.0];
#define PRTCOLOR_BLUE           [UIColor colorWithRed:76/255.0 green:172/255.0 blue:239/255.0 alpha:1.0];
//#define PRTCOLOR_GRAY_LIGHT     [UIColor colorWithRed:149/255.0 green:165/255.0 blue:166/255.0 alpha:1.0];
#define PRTCOLOR_GRAY           [UIColor colorWithRed:127/255.0 green:140/255.0 blue:141/255.0 alpha:1.0];
#define PRTCOLOR_RED            [UIColor colorWithRed:231/255.0 green:76/255.0 blue:60/255.0 alpha:1.0];
#define PRTCOLOR_RED_DARK       [UIColor colorWithRed:192/255.0 green:57/255.0 blue:43/255.0 alpha:1.0];
#define PRTCOLOR_CYAN           [UIColor colorWithRed:26/255.0 green:188/255.0 blue:156/255.0 alpha:1.0];
#define PRTCOLOR_CYAN_DARK      [UIColor colorWithRed:22/255.0 green:160/255.0 blue:133/255.0 alpha:1.0];
#define PRTCOLOR_COULD          [UIColor colorWithRed:236/255.0 green:240/255.0 blue:241/255.0 alpha:1.0];
#define PRTCOLOR_DARKBLUE       [UIColor colorWithRed:52/255.0 green:73/255.0 blue:94/255.0 alpha:1.0];
#define PRTCOLOR_DARKBLUE_DARK  [UIColor colorWithRed:44/255.0 green:62/255.0 blue:80/255.0 alpha:1.0];

#define PRTCOLOR_ORANGE         [UIColor colorWithRed:255/255.0 green:135/255.0 blue:7/255.0 alpha:1.0];


/*
 用于生成一个单例
 */

// @interface
#define singletonH(className) \
+ (className *)share;

// @implementation
//#define singletonM(className) \
//static className *instance = nil; \
//+ (className *)share \
//{ \
//    if(instance == nil){ \
//        instance = [self alloc] init]; \
//    } \
//    return instance; \
//}

#define singletonM(className) \
static className *instance; \
+ (className *)share \
{ \
static dispatch_once_t once; \
dispatch_once(&once, ^{ \
instance = [[self alloc] init]; \
}); \
return instance; \
}